Package net.rubygrapefruit.platform.internal

# Class DirList

java.lang.Object
net.rubygrapefruit.platform.internal.DirList

Direct Known Subclasses:
  `WindowsDirList`

public class DirList extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`List<DirEntry>`
`files`

## Constructor Summary

Constructors
Constructor
Description
`DirList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(String name, int type, long size, long lastModified)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### files

public List<DirEntry> files

## Constructor Details

### DirList

public DirList()

## Method Details

### addFile

public void addFile(String name, int type, long size, long lastModified)